> For the complete documentation index, see [llms.txt](https://docs.verified.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verified.network/reference/verified-sdk/withdrawals.md).

# Withdrawals

### Redeeming cash tokens for crypto currencies

Users can redeem Verified cash tokens in their Verified account and get back what was paid in to issue those cash tokens. For example, if any ether was paid in for issue of Verified cash tokens, the user will get back ether equivalent to amount of cash tokens that is in balance on the user's Verified account. If Verified cash tokens of another currency was paid in for issue of a Verified cash token, redemption returns an amount of cash tokens paid in that is left in balance on the Verified account.&#x20;

The user facing application should call the [`transferFrom`](broken://pages/-MRL59Zh1MVRcb_ZoQaw#request-redemption-of-cash-tokens) function for redemption of cash tokens. Here, cash tokens of a currency is sent to the Cash contract of the same currency and the application can pass a callback function to `notifyCashRedemption` which is invoked when the redemption is successfully done on the Verified Network.&#x20;

### Redeeming cash tokens for fiat currencies

In case fiat currency is paid in to issue Verified cash tokens, their redemption will automatically call the fiat pay out functions that will debit the Custodian's bank account and credit the user's bank account.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/withdrawals.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
